API referenceWhatsApp
POST /whatsapp/flows
Create a DRAFT flow (cloneFlowId copies its JSON; asVersion keeps it in that lineage as the next version)
POST
BearerAuthheader
AuthorizationBearer <token>API key sk_...
application/json- body
accountId*stringWhatsApp account id
name*stringcategories*array<>cloneFlowId?stringasVersion?booleanendpointUri?stringhttps data exchange endpoint
{success, flow}
application/json- response
success?booleanflow?curl -X POST 'https://example.com/api/v1/whatsapp/flows' \ -H 'Content-Type: application/json' \ -d '{ "accountId": "string", "name": "string", "categories": [ "SIGN_UP" ]}'Example Response
{ "success": true, "flow": { "id": "string", "name": "string", "status": "DRAFT", "categories": [ "string" ], "validation_errors": [ {} ], "json_version": "string", "endpoint_uri": "string", "preview": { "preview_url": "string", "expires_at": "string" }, "version": 0, "lineageId": "string" }}